Communications Templates
Updates a communications template
Updates a communications template
PATCH
/
v1
/
communications
/
templates
/
{id}
Updates a communications template
curl --request PATCH \
--url https://api.rootly.com/v1/communications/templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "communications_templates",
"attributes": {
"name": "<string>",
"description": "<string>",
"communication_type_id": "<string>",
"position": 123,
"communication_template_stages_attributes": [
{
"id": "<string>",
"sms_content": "<string>",
"email_subject": "<string>",
"email_body": "<string>",
"slack_content": "<string>"
}
]
}
}
}
'import requests
url = "https://api.rootly.com/v1/communications/templates/{id}"
payload = { "data": {
"type": "communications_templates",
"attributes": {
"name": "<string>",
"description": "<string>",
"communication_type_id": "<string>",
"position": 123,
"communication_template_stages_attributes": [
{
"id": "<string>",
"sms_content": "<string>",
"email_subject": "<string>",
"email_body": "<string>",
"slack_content": "<string>"
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'communications_templates',
attributes: {
name: '<string>',
description: '<string>',
communication_type_id: '<string>',
position: 123,
communication_template_stages_attributes: [
{
id: '<string>',
sms_content: '<string>',
email_subject: '<string>',
email_body: '<string>',
slack_content: '<string>'
}
]
}
}
})
};
fetch('https://api.rootly.com/v1/communications/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "communications_templates",
"attributes": {
"name": "<string>",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"communication_type_id": "<string>",
"communication_template_stages": [
{
"data": {
"id": "<string>",
"type": "communications_template_stages",
"attributes": {
"email_body": "<string>",
"email_subject": "<string>",
"slack_content": "<string>",
"sms_content": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"communication_stage": {
"id": "<string>",
"name": "<string>"
},
"communication_template": {
"id": "<string>",
"name": "<string>"
}
}
}
}
],
"communication_type": {
"id": "<string>",
"name": "<string>"
}
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Communications Template ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Updates a communications template
